Inicio / Alerta Temprana / Avisos Sci / Ejecución de código remoto en Alpha5 de Fuji Electric

Ejecución de código remoto en Alpha5 de Fuji Electric

Fecha de publicación: 
23/02/2022
Importancia: 
4 - Alta
Recursos afectados: 

Alpha5 de Fuji Electric.

Descripción: 

El investigador, Xina1i, a través de ZDI, ha publicado una vulnerabilidad de severidad alta, por la que un atacante remoto podría ejecutar código arbitrario en las instalaciones afectadas de Fuji Electric Alpha5. Se requiere la interacción del usuario para explotar esta vulnerabilidad, ya que el objetivo debe visitar una página maliciosa o abrir un archivo malicioso.

Solución: 

Dada la naturaleza de la vulnerabilidad, actualmente la única medida de mitigación es restringir la interacción con la aplicación.

Detalle: 

El fallo específico existe en el análisis de los archivos C5P en el módulo Server Operator. El problema se debe a la falta de validación adecuada de la longitud de los datos suministrados por el usuario antes de copiarlos en un búfer basado en la pila. Un atacante puede aprovechar esta vulnerabilidad para ejecutar código en el contexto del proceso actual.

Encuesta valoración